# POST /AccessReviews

## POST /api/v1/AccessReviews

> Creates an access review

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"CreateAccessReviewRequestV1":{"required":["accessReviewType","createdByUserId","dueDate","name","workAppIds"],"type":"object","properties":{"name":{"minLength":1,"type":"string","description":"Name of the new access review. It should be unique."},"description":{"type":"string","description":"Description of the access review.","nullable":true},"accessReviewType":{"allOf":[{"$ref":"#/components/schemas/CreateAccessReviewRequestV1AccessReviewType"}],"description":"Type of access review."},"dueDate":{"type":"string","description":"Due date of the access review.","format":"date-time"},"workAppIds":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of work apps included in the access review. If empty, all work apps will be included."},"createdByUserId":{"type":"string","description":"User that appears as creator of the request.","format":"uuid"}},"additionalProperties":false,"description":"Request to create a new access review"},"CreateAccessReviewRequestV1AccessReviewType":{"enum":["WorkAppOwner","Manager","CurrentUser"],"type":"string"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/AccessReviews":{"post":{"tags":["AccessReviews"],"summary":"Creates an access review","parameters":[{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"requestBody":{"description":"The request model used to create the access review.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateAccessReviewRequestV1"}],"description":"Request to create a new access review"}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateAccessReviewRequestV1"}],"description":"Request to create a new access review"}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateAccessReviewRequestV1"}],"description":"Request to create a new access review"}}}},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"422":{"description":"Unprocessable Content","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```
